From 0379f07b0cb0e763554f32daf1d906e184a0bed6 Mon Sep 17 00:00:00 2001
From: Slaven Rezic <slaven@rezic.de>
Date: Sat, 3 Mar 2018 17:05:51 +0100
Subject: [PATCH] Time::HiRes internals changed (RT #124459)

Time::HiRes::tv_interval is not anymore implemented using
gettimeofday (since version 1.9754), so the mocking has to be now done
also for tv_interval.
---
 t/unit_stats.t | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/t/unit_stats.t b/t/unit_stats.t
index 09778c9..9a0397d 100644
--- a/t/unit_stats.t
+++ b/t/unit_stats.t
@@ -7,8 +7,12 @@ use Tree::Simple;
 
 my @fudge_t = ( 0, 0 );
 BEGIN {
-    no warnings;
+    no warnings 'redefine';
     *Time::HiRes::gettimeofday = sub () { return @fudge_t };
+    if ($Time::HiRes::VERSION >= 1.9754) {
+	my $original_tv_interval = \&Time::HiRes::tv_interval;
+	*Time::HiRes::tv_interval = sub ($;@) { return $original_tv_interval->($_[0], (defined $_[1] ? $_[1] : [Time::HiRes::gettimeofday()])) }
+    }
 }
 
 BEGIN { use_ok("Catalyst::Stats") };
-- 
2.1.4

